Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles
Class ListAttribute

    java.lang.Object
      org.apache.tiles.Attribute
          org.apache.tiles.ListAttribute

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  ListAttribute

    public class ListAttribute

extends Attribute

An attribute as a `List`. This attribute associates a name with a list. The list can be found by the property name. Elements in list are retrieved using List methods. This class is used to read configuration files.

Since:
  2.1.0
Version:
  $Rev: 831448 $ $Date: 2009-10-30 21:39:52 +0100 (ven, 30 ott 2009) $
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.tiles.Attribute
`Attribute.AttributeType`

Field Summary

Fields inherited from class org.apache.tiles.Attribute
`expression, expressionObject, roles, value`

Constructor Summary
`ListAttribute()` Constructor.
`ListAttribute(java.util.List<? extends java.lang.Object> value)` Constructor.
`ListAttribute(ListAttribute toCopy)` Copy constructor.

Method Summary
`void` | `add(Attribute element)` Add an element in list.
`void` | `add(java.lang.Object value)` Add an element in list.
`void` | `addObject(java.lang.Object value)` Add an element in list.
`ListAttribute` | `clone()`
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`void` | `inherit(ListAttribute parent)` Inherits elements present in a "parent" list attribute.
`boolean` | `isInherit()` If true, the attribute will put the elements of the attribute with the same name of the parent definition before the ones specified here.
`void` | `setInherit(boolean inherit)` If true, the attribute will put the elements of the attribute with the same name of the parent definition before the ones specified here.

Methods inherited from class org.apache.tiles.Attribute
`createTemplateAttribute, createTemplateAttribute, createTemplateAttributeWithExpression, getExpression, getExpressionObject, getName, getRenderer, getRole, getRoles, getType, getValue, inherit, setBody, setExpression, setExpressionObject, setName, setRenderer, setRole, setRoles, setType, setValue, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListAttribute

    public ListAttribute()

  Constructor.

  Since:
    2.1.0

### ListAttribute

    public ListAttribute(java.util.List<? extends java.lang.Object> value)

  Constructor.

  Parameters:
    `value` - List.
  Since:
    2.1.0

### ListAttribute

    public ListAttribute(ListAttribute toCopy)

  Copy constructor.

  Parameters:
    `toCopy` - The list attribute to copy.
  Since:
    2.1.3

Method Detail

### add

    public void add(Attribute element)

  Add an element in list. We use a property to avoid rewriting a new class.

  Parameters:
    `element` - XmlAttribute to add.
  Since:
    2.1.0

### add

    public void add(java.lang.Object value)

  Add an element in list.

  Parameters:
    `value` - Object to add.
  Since:
    2.1.0

### addObject

    public void addObject(java.lang.Object value)

  Add an element in list.

  Parameters:
    `value` - Object to add.
  Since:
    2.1.0

### setInherit

    public void setInherit(boolean inherit)

  If true, the attribute will put the elements of the attribute with the same name of the parent definition before the ones specified here. By default, it is 'false'

  Parameters:
    `inherit` - The "inherit" value.
  Since:
    2.1.0

### isInherit

    public boolean isInherit()

  If true, the attribute will put the elements of the attribute with the same name of the parent definition before the ones specified here. By default, it is 'false'

  Returns:
    inherit The "inherit" value.
  Since:
    2.1.0

### inherit

    public void inherit(ListAttribute parent)

  Inherits elements present in a "parent" list attribute. The elements will be put before the ones already present.

  Parameters:
    `parent` - The parent list attribute.
  Since:
    2.1.0

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `Attribute`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Attribute`

### clone

    public ListAttribute clone()

  Overrides:
    `clone` in class `Attribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.